﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Controls.Primitives;

namespace SLScrollView
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        bool show = true;
        private void button1_Click(object sender, RoutedEventArgs e)
        {
            if (show)
            {
                //设置ScrollViewer的内容水平偏移量
                this.sView.ScrollToHorizontalOffset(50);
                //设置ScrollViewer的内容垂直偏移量
                this.sView.ScrollToVerticalOffset(50);
            }
            else
            {
                this.sView.ScrollToHorizontalOffset(0);
                this.sView.ScrollToVerticalOffset(0);
            }
            show = !show;
           
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            //内容的垂直偏移量
            string vo = sView.VerticalOffset.ToString();
            //内容的水平偏移量
            string ho = sView.HorizontalOffset.ToString();
            //内容的总垂直高度
            string eh = sView.ExtentHeight.ToString();
            //内容的总水平宽度
            string ew = sView.ExtentWidth.ToString();
            //可见内容的垂直高度
            string vh = sView.ViewportHeight.ToString();
            //可见内容窗口的水平宽度
            string vw = sView.ViewportWidth.ToString();
            //ScrollViewer控件的实际高度
            string ah = sView.ActualHeight.ToString();
            //ScrollViewer控件的实际宽度
            string aw = sView.ActualHeight.ToString();
            this.label1.Content = "VerticalOffset:" + vo;
            this.label2.Content = "HorizontalOffset:" + ho;
            this.label3.Content = "ExtentHeight:" + eh;
            this.label4.Content = "ExtentWidth:" + ew;
            this.label5.Content = "ViewportHeight:" + vh;
            this.label6.Content = "ViewportWidth:" + vw;
            this.label7.Content = "ActualHeight:" + ah;
            this.label8.Content = "ActualHeight:" + aw;
            sView.HorizontalScrollBarVisibility = ScrollBarVisibility.Disabled;
        }

    }
}
